Functions
ref_app_breathing_reg_protocol_access.c File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include "acc_detector_presence.h"`
`#include "acc_integration.h"`
`#include "acc_version.h"`
`#include "ref_app_breathing.h"`
`#include "acc_reg_protocol.h"`
`#include "i2c_ref_app_breathing.h"`
`#include "ref_app_breathing_reg_protocol.h"`

Go to the source code of this file.

## Functions
static uint32_t | get_protocol_error_flags (void)
| Get the protocol error status flags. More...
void | ref_app_breathing_reg_read_application_id (uint32_t *value)
void | ref_app_breathing_reg_read_version (uint32_t *value)
void | ref_app_breathing_reg_read_protocol_status (uint32_t *value)
void | ref_app_breathing_reg_read_measure_counter (uint32_t *value)
void | ref_app_breathing_reg_read_app_status (uint32_t *value)
void | ref_app_breathing_reg_read_breathing_result (uint32_t *value)
void | ref_app_breathing_reg_read_breathing_rate (uint32_t *value)
void | ref_app_breathing_reg_read_app_state (uint32_t *value)
void | ref_app_breathing_reg_read_start (uint32_t *value)
bool | ref_app_breathing_reg_write_start (const uint32_t value)
void | ref_app_breathing_reg_read_end (uint32_t *value)
bool | ref_app_breathing_reg_write_end (const uint32_t value)
void | ref_app_breathing_reg_read_num_distances_to_analyze (uint32_t *value)
bool | ref_app_breathing_reg_write_num_distances_to_analyze (const uint32_t value)
void | ref_app_breathing_reg_read_distance_determination_duration_s (uint32_t *value)
bool | ref_app_breathing_reg_write_distance_determination_duration_s (const uint32_t value)
void | ref_app_breathing_reg_read_use_presence_processor (uint32_t *value)
bool | ref_app_breathing_reg_write_use_presence_processor (const uint32_t value)
void | ref_app_breathing_reg_read_lowest_breathing_rate (uint32_t *value)
bool | ref_app_breathing_reg_write_lowest_breathing_rate (const uint32_t value)
void | ref_app_breathing_reg_read_highest_breathing_rate (uint32_t *value)
bool | ref_app_breathing_reg_write_highest_breathing_rate (const uint32_t value)
void | ref_app_breathing_reg_read_time_series_length_s (uint32_t *value)
bool | ref_app_breathing_reg_write_time_series_length_s (const uint32_t value)
void | ref_app_breathing_reg_read_frame_rate (uint32_t *value)
bool | ref_app_breathing_reg_write_frame_rate (const uint32_t value)
void | ref_app_breathing_reg_read_sweeps_per_frame (uint32_t *value)
bool | ref_app_breathing_reg_write_sweeps_per_frame (const uint32_t value)
void | ref_app_breathing_reg_read_hwaas (uint32_t *value)
bool | ref_app_breathing_reg_write_hwaas (uint32_t value)
void | ref_app_breathing_reg_read_profile (uint32_t *value)
bool | ref_app_breathing_reg_write_profile (const uint32_t value)
void | ref_app_breathing_reg_read_intra_detection_threshold (uint32_t *value)
bool | ref_app_breathing_reg_write_intra_detection_threshold (const uint32_t value)
bool | ref_app_breathing_reg_write_command (const uint32_t value)

## Function Documentation

## ◆ get_protocol_error_flags()

static uint32_t get_protocol_error_flags | ( | void |  | ) |
| static

Get the protocol error status flags.

Returns
  error flags as uint32 register value

Definition at line 501 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_app_state()

void ref_app_breathing_reg_read_app_state | ( | uint32_t * | value | ) |

Read: The current state of the application.

Definition at line 105 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_app_status()

void ref_app_breathing_reg_read_app_status | ( | uint32_t * | value | ) |

Read: Get application status flags.

Definition at line 85 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_application_id()

void ref_app_breathing_reg_read_application_id | ( | uint32_t * | value | ) |

Read: The application id register.

Definition at line 33 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_breathing_rate()

void ref_app_breathing_reg_read_breathing_rate | ( | uint32_t * | value | ) |

Read: The breathing rate. 0 if no breathing rate available. Note: This value is a factor 1000 larger than the RSS value.

Definition at line 97 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_breathing_result()

void ref_app_breathing_reg_read_breathing_result | ( | uint32_t * | value | ) |

Read: The result from the breathing reference application.

Definition at line 91 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_distance_determination_duration_s()

void ref_app_breathing_reg_read_distance_determination_duration_s | ( | uint32_t * | value | ) |

Read: Time to determine distance to presence in seconds.

Definition at line 206 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_end()

void ref_app_breathing_reg_read_end | ( | uint32_t * | value | ) |

Read: The end point of measurement interval in millimeters. Note: This value is a factor 1000 larger than the RSS value.

Definition at line 158 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_frame_rate()

void ref_app_breathing_reg_read_frame_rate | ( | uint32_t * | value | ) |

Read: The presence detector frame rate. Note: This value is a factor 1000 larger than the RSS value.

Definition at line 321 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_highest_breathing_rate()

void ref_app_breathing_reg_read_highest_breathing_rate | ( | uint32_t * | value | ) |

Read: Highest anticipated breathing rate in breaths per minute.

Definition at line 275 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_hwaas()

void ref_app_breathing_reg_read_hwaas | ( | uint32_t * | value | ) |

Read: The hardware accelerated average samples (HWAAS).

Definition at line 369 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_intra_detection_threshold()

void ref_app_breathing_reg_read_intra_detection_threshold | ( | uint32_t * | value | ) |

Read: The threshold for detecting faster movements inside frames. Note: This value is a factor 1000 larger than the RSS value.

Definition at line 465 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_lowest_breathing_rate()

void ref_app_breathing_reg_read_lowest_breathing_rate | ( | uint32_t * | value | ) |

Read: Lowest anticipated breathing rate in breaths per minute.

Definition at line 252 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_measure_counter()

void ref_app_breathing_reg_read_measure_counter | ( | uint32_t * | value | ) |

Read: Get the measure counter, the number of measurements performed since restart.

Definition at line 79 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_num_distances_to_analyze()

void ref_app_breathing_reg_read_num_distances_to_analyze | ( | uint32_t * | value | ) |

Read: Number of distance points to analyze in breathing.

Definition at line 183 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_profile()

void ref_app_breathing_reg_read_profile | ( | uint32_t * | value | ) |

Read: The profile to use.

Definition at line 392 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_protocol_status()

void ref_app_breathing_reg_read_protocol_status | ( | uint32_t * | value | ) |

Read: Get protocol error flags.

Definition at line 45 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_start()

void ref_app_breathing_reg_read_start | ( | uint32_t * | value | ) |

Read: The start point of measurement interval in millimeters. Note: This value is a factor 1000 larger than the RSS value.

Definition at line 133 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_sweeps_per_frame()

void ref_app_breathing_reg_read_sweeps_per_frame | ( | uint32_t * | value | ) |

Read: The number of sweeps that will be captured in each frame (measurement).

Definition at line 346 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_time_series_length_s()

void ref_app_breathing_reg_read_time_series_length_s | ( | uint32_t * | value | ) |

Read: Length of time series in seconds.

Definition at line 298 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_use_presence_processor()

void ref_app_breathing_reg_read_use_presence_processor | ( | uint32_t * | value | ) |

Read: Use presence detector to determine distance to motion.

Definition at line 229 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_read_version()

void ref_app_breathing_reg_read_version | ( | uint32_t * | value | ) |

Read: Get the RSS version.

Definition at line 39 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_command()

bool ref_app_breathing_reg_write_command | ( | const uint32_t | value | ) |

Write: Execute command.

Definition at line 490 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_distance_determination_duration_s()

bool ref_app_breathing_reg_write_distance_determination_duration_s | ( | const uint32_t | value | ) |

Write: Time to determine distance to presence in seconds.

Definition at line 214 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_end()

bool ref_app_breathing_reg_write_end | ( | const uint32_t | value | ) |

Write: The end point of measurement interval in millimeters. Note: This value is a factor 1000 larger than the RSS value.

Definition at line 167 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_frame_rate()

bool ref_app_breathing_reg_write_frame_rate | ( | const uint32_t | value | ) |

Write: The presence detector frame rate. Note: This value is a factor 1000 larger than the RSS value.

Definition at line 330 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_highest_breathing_rate()

bool ref_app_breathing_reg_write_highest_breathing_rate | ( | const uint32_t | value | ) |

Write: Highest anticipated breathing rate in breaths per minute.

Definition at line 283 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_hwaas()

bool ref_app_breathing_reg_write_hwaas | ( | const uint32_t | value | ) |

Write: The hardware accelerated average samples (HWAAS).

Definition at line 377 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_intra_detection_threshold()

bool ref_app_breathing_reg_write_intra_detection_threshold | ( | const uint32_t | value | ) |

Write: The threshold for detecting faster movements inside frames. Note: This value is a factor 1000 larger than the RSS value.

Definition at line 474 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_lowest_breathing_rate()

bool ref_app_breathing_reg_write_lowest_breathing_rate | ( | const uint32_t | value | ) |

Write: Lowest anticipated breathing rate in breaths per minute.

Definition at line 260 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_num_distances_to_analyze()

bool ref_app_breathing_reg_write_num_distances_to_analyze | ( | const uint32_t | value | ) |

Write: Number of distance points to analyze in breathing.

Definition at line 191 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_profile()

bool ref_app_breathing_reg_write_profile | ( | const uint32_t | value | ) |

Write: The profile to use.

Definition at line 423 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_start()

bool ref_app_breathing_reg_write_start | ( | const uint32_t | value | ) |

Write: The start point of measurement interval in millimeters. Note: This value is a factor 1000 larger than the RSS value.

Definition at line 142 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_sweeps_per_frame()

bool ref_app_breathing_reg_write_sweeps_per_frame | ( | const uint32_t | value | ) |

Write: The number of sweeps that will be captured in each frame (measurement).

Definition at line 354 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_time_series_length_s()

bool ref_app_breathing_reg_write_time_series_length_s | ( | const uint32_t | value | ) |

Write: Length of time series in seconds.

Definition at line 306 of file ref_app_breathing_reg_protocol_access.c.

## ◆ ref_app_breathing_reg_write_use_presence_processor()

bool ref_app_breathing_reg_write_use_presence_processor | ( | const uint32_t | value | ) |

Write: Use presence detector to determine distance to motion.

Definition at line 237 of file ref_app_breathing_reg_protocol_access.c.